package ru.otus.mobile.config;

public final class AuthContext {
    private static String username;
    private static String password;
    private static boolean allowRegister;

    private AuthContext() {
    }

    public static void init(String username, String password, boolean allowRegister) {
        AuthContext.username = username;
        AuthContext.password = password;
        AuthContext.allowRegister = allowRegister;
    }

    public static String username() {
        return username;
    }

    public static String password() {
        return password;
    }

    public static boolean allowRegister() {
        return allowRegister;
    }
}
